Liferay.Loader.define("journal-web@4.0.128/js/article/Template", ['module', 'exports', 'require', 'frontend-js-web'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = _default;

    var _frontendJsWeb = require("frontend-js-web");

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    function _default(_ref) {
      var currentURL = _ref.currentURL,
          ddmTemplateId = _ref.ddmTemplateId,
          editDDMTemplateURL = _ref.editDDMTemplateURL,
          namespace = _ref.namespace,
          previewArticleContentTemplateURL = _ref.previewArticleContentTemplateURL,
          selectDDMTemplateURL = _ref.selectDDMTemplateURL;
      var eventHandlers = [];

      var namespaceId = function namespaceId(id) {
        return "".concat(namespace).concat(id);
      };

      var changeDDMTemplate = function changeDDMTemplate(newDDMTemplate) {
        if (newDDMTemplate && newDDMTemplate.ddmtemplateid === ddmTemplateId) {
          return;
        }

        if (confirm(Liferay.Language.get('editing-the-current-template-deletes-all-unsaved-content'))) {
          var newDDMTemplateId = newDDMTemplate && newDDMTemplate.ddmtemplateid || -1;
          var url = (0, _frontendJsWeb.addParams)("".concat(namespaceId('ddmTemplateId'), "=").concat(newDDMTemplateId), currentURL);
          var form = document.getElementById(namespaceId('fm1'));

          if (form) {
            Liferay.Util.setFormValues(form, {
              ddmTemplateId: newDDMTemplateId,
              ddmTemplateKey: newDDMTemplate && newDDMTemplate.ddmtemplatekey || '',
              ddmTemplateName: newDDMTemplate && newDDMTemplate.name || ''
            });
            submitForm(form, url, false, false);
          }
        }
      };

      var previewWithTemplateButton = document.getElementById(namespaceId('previewWithTemplate'));

      if (previewWithTemplateButton) {
        var previewWithTemplateButtonClick = function previewWithTemplateButtonClick() {
          var url = new URL(previewArticleContentTemplateURL);
          url.searchParams.append(namespaceId('ddmTemplateId'), ddmTemplateId);
          url.searchParams.append(namespaceId('languageId'), getCurrentLanguage(namespace));
          (0, _frontendJsWeb.openSelectionModal)({
            onSelect: function onSelect(selectedItem) {
              return changeDDMTemplate(selectedItem);
            },
            selectEventName: namespaceId('preview'),
            title: Liferay.Language.get('title'),
            url: url.href
          });
        };

        previewWithTemplateButton.addEventListener('click', previewWithTemplateButtonClick);
        eventHandlers.push({
          detach: function detach() {
            previewWithTemplateButton.removeEventListener('click', previewWithTemplateButtonClick);
          }
        });
      }

      var clearDDMTemplateButton = document.getElementById(namespaceId('clearDDMTemplate'));

      if (clearDDMTemplateButton) {
        var clearDDMTemplateButtonClick = function clearDDMTemplateButtonClick() {
          changeDDMTemplate(null);
        };

        clearDDMTemplateButton.addEventListener('click', clearDDMTemplateButtonClick);
        eventHandlers.push({
          detach: function detach() {
            clearDDMTemplateButton.removeEventListener('click', clearDDMTemplateButtonClick);
          }
        });
      }

      var editDDMTemplateButton = document.getElementById(namespaceId('editDDMTemplate'));

      if (editDDMTemplateButton) {
        var editDDMTemplateButtonClick = function editDDMTemplateButtonClick() {
          if (confirm(Liferay.Language.get('editing-the-current-template-deletes-all-unsaved-content'))) {
            Liferay.Util.navigate(editDDMTemplateURL);
          }
        };

        editDDMTemplateButton.addEventListener('click', editDDMTemplateButtonClick);
        eventHandlers.push({
          detach: function detach() {
            editDDMTemplateButton.removeEventListener('click', editDDMTemplateButton);
          }
        });
      }

      var selectDDMTemplateButton = document.getElementById(namespaceId('selectDDMTemplate'));

      if (selectDDMTemplateButton) {
        var selectDDMTemplateButtonClick = function selectDDMTemplateButtonClick() {
          (0, _frontendJsWeb.openSelectionModal)({
            onSelect: function onSelect(selectedItem) {
              return changeDDMTemplate(selectedItem);
            },
            selectEventName: namespaceId('selectDDMTemplate'),
            title: Liferay.Language.get('templates'),
            url: selectDDMTemplateURL
          });
        };

        selectDDMTemplateButton.addEventListener('click', selectDDMTemplateButtonClick);
        eventHandlers.push({
          detach: function detach() {
            selectDDMTemplateButton.removeEventListener('click', selectDDMTemplateButton);
          }
        });
      }

      return {
        dispose: function dispose() {
          eventHandlers.forEach(function (eventHandler) {
            return eventHandler.detach();
          });
        }
      };
    }

    function getCurrentLanguage(namespace) {
      var inputComponent = Liferay.component("".concat(namespace, "titleMapAsXML"));

      if (inputComponent) {
        return inputComponent.getSelectedLanguageId();
      }

      return themeDisplay.getLanguageId();
    }
    //# sourceMappingURL=Template.js.map
  }
});
//# sourceMappingURL=Template.js.map